"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ts = require("typescript");
function navigate(node) {
    var path = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        path[_i - 1] = arguments[_i];
    }
    var index = 0;
    path.forEach(function (expectedKind) {
        ts.forEachChild(node, function (subNode) {
            if (subNode.kind === expectedKind) {
                node = subNode;
                index++;
            }
        });
    });
    return index === path.length ? node : null;
}
exports.navigate = navigate;
function getFlatChildren(node) {
    var result = [];
    function f(node) {
        result.push(node);
        ts.forEachChild(node, f);
    }
    if (node === null) {
        return [];
    }
    f(node);
    return result;
}
exports.getFlatChildren = getFlatChildren;
//# sourceMappingURL=nodeUtils.js.map